//
//  UploadTaskData.swift
//  aliyun_oss_ios
//
//  Created by wombat on 2022/2/11.
//

import Foundation
import AliyunOSSiOS

class UploadTaskData {
  let objectKey: String
  var uploadId: String?
  let bucketName: String
  let filePath: String
  let request: OSSResumableUploadRequest
  
  init(objectKey: String, uploadId: String?, bucketName: String, filePath: String, request: OSSResumableUploadRequest) {
    self.objectKey = objectKey
    self.uploadId = uploadId
    self.bucketName = bucketName
    self.filePath = filePath
    self.request = request
  }
  
  private func getSubPathName() -> String {
    return String(filePath[(filePath.range(of: "/tmp/")!.upperBound)...])
  }
  
  func getFileURL() -> URL{
    return NSURL.fileURL(withPath: "\(NSTemporaryDirectory())\(getSubPathName())")
  }
}
